package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 任务列表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpRwglBusinesstaskService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpRwglBusinesstask(PageData pd)throws Exception {
        return daoSupport.update("SDtpRwglBusinesstaskMapper.addSDtpRwglBusinesstask", pd);
    }

    public List<PageData> findSDtpRwglBusinesstaskList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpRwglBusinesstaskMapper.selectSDtpRwglBusinesstaskList", pd);
    }

    public Integer SDtpRwglBusinesstaskRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpRwglBusinesstaskMapper.SDtpRwglBusinesstaskRemove", pd);
    }


    public Integer updateSDtpRwglBusinesstask(PageData pd)throws Exception {
        return daoSupport.update("SDtpRwglBusinesstaskMapper.updateSDtpRwglBusinesstask", pd);
    }

}
